/**
 * table/complex-table
 *  列表json转换
 * @param {*} filterVal //对应字段
 * @param {*} jsonData //json列表
 */
export function formatJson (filterVal, jsonData) {
  return jsonData.map(v =>
    filterVal.map(j => {
      return v[j]
    })
  )
}
/**
 * 获取时间凌晨(秒)
 * @param {*} s //推移几天
 */
export function getMorningTime (passTime) {
  let miao = passTime * 1000 * 60 * 60 * 24
  return new Date(new Date().toLocaleDateString()).getTime() + miao
}

/**
 * 时间处理
 * @param {*} dataForm //post参数
 * @param {*} timeStamp //需要处理的时间戳
 */
export function switchingTime (dataForm, timeStamp) {
  let params = Object.assign({}, dataForm)
  if (params) {
    if (params.startTime === 0 && params.endTime === 0) {
      params.startTime = ""
      params.endTime = ""
    } else if (params.startTime && params.endTime) {
      params.startTime = params.startTime + ""
      params.endTime = (parseInt(params.endTime) + timeStamp) + ""
    }
  }
  return params
}
